org.fourthline.cling.protocol.sync

## Class SendingRenewal

- java.lang.Object
- - org.fourthline.cling.protocol.SendingAsync
  - - org.fourthline.cling.protocol.SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>
    - - org.fourthline.cling.protocol.sync.SendingRenewal

- All Implemented Interfaces:
    Runnable

      public class SendingRenewal
      extends SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>

  Renewing a GENA event subscription with a remote host.

  This protocol is executed periodically by the local registry, for any established GENA subscription to a remote service. If renewal failed, the subscription will be removed from the registry and the `RemoteGENASubscription.end(org.fourthline.cling.model.gena.CancelReason, org.fourthline.cling.model.message.UpnpResponse)` method will be called. The `RENEWAL_FAILED` reason will be used, however, the response might be `null` if no response was received from the remote host.

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RemoteGENASubscription` | `subscription`

    - ### Fields inherited from class org.fourthline.cling.protocol.SendingSync

      `outputMessage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendingRenewal(UpnpService upnpService, RemoteGENASubscription subscription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IncomingSubscribeResponseMessage` | `executeSync()`
    `protected void` | `onRenewalFailure()`

    - ### Methods inherited from class org.fourthline.cling.protocol.SendingSync

      `execute, getInputMessage, getOutputMessage, toString`

    - ### Methods inherited from class org.fourthline.cling.protocol.SendingAsync

      `getUpnpService, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### subscription

          protected final RemoteGENASubscription subscription

  - ### Constructor Detail

    - #### SendingRenewal

          public SendingRenewal(UpnpService upnpService,
                                RemoteGENASubscription subscription)

  - ### Method Detail

    - #### executeSync

          protected IncomingSubscribeResponseMessage executeSync()
                                                          throws RouterException

      Specified by:
        `executeSync` in class `SendingSync<OutgoingRenewalRequestMessage,IncomingSubscribeResponseMessage>`
      Throws:
        `RouterException`

    - #### onRenewalFailure

          protected void onRenewalFailure()

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.